# Generated from RedAdmiral-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name RedAdmiral

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: %Low-level routines for Mercury clients, abstracting the interaction with the Redis server (cluster)
License: ISC
URL: http://github.com/dlove24/RedAdmiral
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.6.0
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(yard) >= 0.6.0
# BuildRequires: rubygem(yard) < 0.7
# BuildRequires: rubygem(vclog)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(riot)
BuildArch: noarch

%description
Prepares hosts/networks/etc to become part of a stated Mercury environment.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rvmrc
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/HISTORY
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/RedAdmiral.gemspec
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.1-1
- Initial package
